{% comment %}

Partner actions button/dropdown

Provides Partner/Unpartner/etc. actions for a listed organization

Variables:
    organization: current organization
    target_organization: other organization

{% endcomment %}
{% load i18n %}
<div class="">
    {% if target_organization in organization.partners.all %}
        {# Remove partner #}
        <form method="post" action="{% url 'partner_remove' organization.slug %}">
            {% csrf_token %}
            <input type="hidden" name="partner" value="{{ target_organization.slug }}" />
            <button type="submit" class="btn btn-default btn-small action-btn">
                <span class="icon-unlink"></span>
                {% trans "Remove partner" %}
            </button>
        </form>

    {% else %}
        {# Add partner #}
          <a
            href="{% url 'partner_add' organization.slug target_organization.slug %}"
            class="btn btn-default btn-small action-btn">
                <span class="icon-link"></span>
                {% trans "Add as partner" %}
            </a>
    {% endif %}
</div>
